Inspect

Update workspace setup scripts

Update the pre-install and/or post-install scripts for a managed GitHub repository. Omitted scripts are left unchanged. Saving supersedes any running build and invalidates the current build. Requires repository manage permission and a non-read-only API key.

Base URL
PUT
/api/public/v1/workspaces/{workspace_id}/scripts

Update the pre-install and/or post-install scripts for a managed GitHub repository. Omitted scripts are left unchanged. Saving supersedes any running build and invalidates the current build. Requires repository manage permission and a non-read-only API key.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

workspace_id*string

The workspace ID.

Request Body

application/json
  1. body

Omitted scripts are left unchanged. At least one script is required. Unknown properties are ignored.

Properties1 <= properties
preInstall?string
Lengthlength <= 100000
postInstall?string
Lengthlength <= 100000

Response Body

Scripts saved

application/json
  1. response
commitSha*string

Content-addressed version of the saved scripts.

Example Request
curl -X PUT 'https://your-org.inspect.com/api/public/v1/workspaces/string/scripts' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "commitSha": "string"}